---
title: Resources
---

# Resources

Looking for external resources to learn more about using Vue with NativeScript?

## Articles

- [A new Vue for NativeScript](https://www.nativescript.org/blog/a-new-vue-for-nativescript)
	- An introduction to using nativescript-vue
- [Vue.js and NativeScript in One Minute](https://www.nativescript.org/blog/vue-and-nativescript-in-one-minute)
	- Get started with nativescript-vue with a template that takes literally one minute
- [Building Native iOS and Android Apps With Vue and NativeScript](https://developer.telerik.com/products/nativescript/native-ios-android-vue-nativescript/)
	- A more comprehensive overview of leveraging Vue in NativeScript
- [Native apps with Vue.js: Weex or NativeScript?
](https://hackernoon.com/native-apps-with-vue-js-weex-or-nativescript-8d8f0bac041d)
	- A comparison of two native Vue options: Weex and NativeScript
- [NativeScript and Vue.js](https://blog.paulhalliday.io/2017/09/08/nativescript-and-vue-js/)
	- A guide to building a simple nativescript-vue app that gets data from a REST API
- [Developing the Groceries sample app in Vue.js](https://www.nativescript.org/blog/i-had-a-blast-developing-the-groceries-sample-app-in-vue.js-and-this-is-why)
	- Tiago Alves re-wrote the Groceries tutorial app in Vue.js and gives a play-by-play of the process

## Video Content

- [Vue.js and NativeScript in One Minute](https://www.youtube.com/watch?v=jnRmXczcSdQ)
- [NativeScript and Vue.js](https://www.youtube.com/watch?v=xcIjXDc-gGk)
- [NativeScript Vue: Toast Plugin](https://www.youtube.com/watch?v=jaFBAeBzzvg)
- [NativeScript Vue: Application Information Plugin](https://www.youtube.com/watch?v=2qb3D66wZSI)

## Templates/Examples

- [Basic Template for nativescript-vue Projects](https://www.npmjs.com/package/nativescript-vue-template)
- [Build a Weather App with NativeScript and Vue](http://snacklabs.nativescriptsnacks.com/snacklabs/vue-weather/#0)
- [NativeScript Vue.js Template with Webpack and .vue File Support](https://github.com/tralves/nativescript-vue-webpack-template)



# What's next?

<a router-link="/troubleshooting" class="docute-button docute-button-success">
    Go to Troubleshooting
</a>
